Bug 46351 - Refactor a bit the build scripts
Refactor a bit the build scripts
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
PC Linux
: P2 normal (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks: 46350
  Show dependency tree
 
Reported: 2008-12-05 03:03 UTC by Marc Guillemot
Modified: 2009-04-07 12:25 UTC (History)
0 users



Attachments
Patch introducing patternsets and macros (17.93 KB, patch)
2008-12-05 03:03 UTC, Marc Guillemot
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Guillemot 2008-12-05 03:03:45 UTC
Created attachment 22997 [details]
Patch introducing patternsets and macros

The build scripts contain a lot of duplications and don't allow patternset to be reused (needed to propose a patch for bug #46350. The proposed patch just defines patternsets and macros to simplify a few things.
Comment 1 Mark Thomas 2008-12-27 13:50:43 UTC
Thanks for the patch. It has been applied to trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2009-04-07 12:25:14 UTC
This has been applied to 6.0.x and will be included in 6.0.20 onwards